Subject: bug#16097: [PATCH] Treat windows on other spaces as not visible in Cocoa

From: Alan Third <[email-masked]>
Date: Tue, 1 Feb 2022 22:48:02 +0000

(Apparently this failed to send correctly the first time. I know
Robert already replied to it, but it's not in the mailing list
archive, and I don't see my second follow up to this bug either.)

On Thu, Jan 27, 2022 at 12:06:36PM +0100, Robert Pluim wrote:
> >>>>> On Wed, 26 Jan 2022 17:46:15 +0100, Lars Ingebrigtsen <[email-masked]> said:
> 
>     Lars> David Benjamin <[email-masked]> writes:
>     >> Here's a patch for something that's been bugging me. This makes Cmd-`
>     >> cycle through only the current space's windows, which is consistent
>     >> with other programs on OS X. It also matches the behavior of
>     >> other-frame on X11 for window managers that implement virtual desktops
>     >> by mapping and unmapping windows. The patch is attached.
> 
>     Lars> Perhaps Alan has a comment here; added to the CCs.
> 
> Please let's apply this. Please. Pretty please. Pretty please with sugar on
> top. Please.
> 
> Iʼve rebased it to master and attach it here.
> 
> Did I mention I like it?

I'm afraid I don't much. It looks like the updateVisibility method
doesn't actually do enough to replace the windowDidBecomeKey method.

It also needs a good clean. For example there's a hunk that appears to
just be removing a single blank line and most of the #ifdef's are
redundant. I guess some of the weirdness in it is just because it's so
old.

Is this really how other terms work, where visibility is tied into
which virtual desktop is "active"?

I'm not against this behaviour, I just don't like the look of this
particular patch very much.

-- 
Alan Third